# Configuration file

##########################################################################################################
# admin
#--------------------------------------------------------------------------------------------------------#
# Special tools for server admins.
##########################################################################################################

admin {
    # Here you can add a list of entity IDs for entity that you want to be forcefully removed.
    S:"Force Remove Entity Names" <
     >

    # How many ticks it takes for an entity to be forcefully removed (1 second = 20 ticks). This only applies to EntityLiving, other entities are instantly removed.
    I:"Force Remove Entity Ticks"=40
}


##########################################################################################################
# altars
#--------------------------------------------------------------------------------------------------------#
# Altars are block arrangements that can be activated using Soulkeys to summon rare subspecies as mini bosses or trigger events including boss events.
##########################################################################################################

altars {
    # Set to false to disable altars, Soulkeys can still be crafted but wont work on Altars.
    B:"Altars Enabled"=true

    # If set to true, Altars will only activate in dimensions that the monster spawned or event started is allowed in.
    B:"Check Dimension"=false
    D:"Damage Altar Stat Multiplier"=4.0
    D:"Defense Altar Stat Multiplier"=4.0
    D:"Effect Altar Stat Multiplier"=4.0
    D:"Haste Altar Stat Multiplier"=4.0
    D:"Health Altar Stat Multiplier"=10.0
    D:"Pierce Altar Stat Multiplier"=4.0
    D:"Speed Altar Stat Multiplier"=1.5
}


##########################################################################################################
# base starting level
#--------------------------------------------------------------------------------------------------------#
# The base starting level is the level every mob will start at. Mob Events, Special Spawners and other things will then add onto this base level.
##########################################################################################################

"base starting level" {
    # Increases the base start level by this amount of every world day that has gone by, use this to slowly level up mobs as the world gets older. Fractions can be used such as 0.05 levels per day. The levels are rounded down so +0.9 would be +0 levels.
    D:"Level Gain Per Day"=0.0

    # The maximum level to be able gain from levels per day.
    I:"Level Gain Per Day Max"=100

    # How many levels a mob gains multiplied by the local area difficulty level. Staying in an area for a while slowly increases the difficulty of that area ranging from 0.00 to 6.75. So 1.5 means level 10 at full local area difficulty.
    D:"Level Gain Per Local Difficulty"=1.5

    # The maximum base starting level of every mob. Ignored when not greater than the min level.
    I:"Starting Level Max"=1

    # The minimum base starting level of every mob. Cannot be less than 1.
    I:"Starting Level Min"=1
}


##########################################################################################################
# beastiary
#--------------------------------------------------------------------------------------------------------#
# Here you can control all settings related to the player's Beastiary.
##########################################################################################################

beastiary {
    # The chance that creatures are added to the player's Beastiary when killed, the Soulgazer can also be used to add creatures. Bosses are always a 100% chance.
    D:"Add Creature On Kill Chance"=0.15

    # If true, a chat message will be displayed when gaining Beastiary Knowledge.
    B:"Beastiary Knowledge Messages"=true
}


##########################################################################################################
# bosses
#--------------------------------------------------------------------------------------------------------#
# Here you can control all settings related to boss creatures, this does not include rare subspecies (mini bosses).
##########################################################################################################

bosses {
    D:"How much higher players must be relative to a boss' y position (feet) to trigger anti flight measures."=3.0
}


##########################################################################################################
# client
#--------------------------------------------------------------------------------------------------------#
# Mostly client side settings that affect visuals or sounds such as mob names or inventory tabs, etc.
##########################################################################################################

client {
    # If true, alpha is disabled on mob textures, this can make them look undesirable but can increase performance on low end systems.
    B:"Disable Model Alpha"=false

    # The minimum interval in ticks between random idle sounds.
    I:"Idle Sound Ticks"=100

    # Set to false to disable multipass rendering. This renders model layers twice so that they can show each over through alpha textures, disable for performance on low end systems.
    B:"Model Multipass"=true

    # If true, all mobs that are a subspecies will always show their nametag.
    B:"Subspecies Tags"=true
}


##########################################################################################################
# custom item drops
#--------------------------------------------------------------------------------------------------------#
# Here you can add a global list of item drops to add to every mob from Lycanites Mobs. Format is: mod:item,metadata,chance,min,max Multiple drops should be semicolon separated and chances are in decimal format. You can also add an additional comma and then a subspecies ID to restrict that drop to a certain subspecies like so: mod:item,metadata,chance,min,max,subspecies. minecraft:wool,2,0.25,0,3 is Green Wool with a 25% drop rate and will drop 0 to 3 blocks. Be sure to use a colon for mod:item and commas for everything else in an entry. Semicolons can be used to separate multiple entries.
##########################################################################################################

"custom item drops" {
}


##########################################################################################################
# debug
#--------------------------------------------------------------------------------------------------------#
# Set debug options to true to show extra debugging information in the console.
##########################################################################################################

debug {
    B:Creature=false
    B:"Creature Type"=false
    B:Dungeon=false
    B:Element=false
    B:Equipment=false
    B:ItemSetup=false
    B:JSONSpawner=false
    B:Language=false
    B:Localisation=false
    B:MobEvents=false
    B:MobSetup=false
    B:MobSpawns=false
    B:Model=false
    B:Models=false
    B:Overlay=false
    B:Projectile=false
    B:Subspecies=false
}


"default item drops" {
    S:"Global Drops"=
}


##########################################################################################################
# difficulty multipliers
#--------------------------------------------------------------------------------------------------------#
# Here you can scale the stats of every mob on a per difficulty basis. Note that on easy, speed is kept at 1.0 by default as 0.5 makes them stupidly slow.
##########################################################################################################

"difficulty multipliers" {
    D:"easy amplifier"=0.8
    D:"easy armor"=1.0
    D:"easy attackSpeed"=0.8
    D:"easy damage"=0.8
    D:"easy defense"=0.8
    D:"easy effect"=0.8
    D:"easy health"=0.8
    D:"easy pierce"=0.8
    D:"easy rangedSpeed"=0.8
    D:"easy sight"=1.0
    D:"easy speed"=1.0
    D:"hard amplifier"=1.1
    D:"hard armor"=1.0
    D:"hard attackSpeed"=1.5
    D:"hard damage"=1.1
    D:"hard defense"=1.1
    D:"hard effect"=1.1
    D:"hard health"=1.1
    D:"hard pierce"=1.1
    D:"hard rangedSpeed"=1.5
    D:"hard sight"=1.0
    D:"hard speed"=1.0
    D:"normal amplifier"=1.0
    D:"normal armor"=1.0
    D:"normal attackSpeed"=1.0
    D:"normal damage"=1.0
    D:"normal defense"=1.0
    D:"normal effect"=1.0
    D:"normal health"=1.0
    D:"normal pierce"=1.0
    D:"normal rangedSpeed"=1.0
    D:"normal sight"=1.0
    D:"normal speed"=1.0
}


##########################################################################################################
# dungeon loot enabled
#--------------------------------------------------------------------------------------------------------#
# Here you can enable/disable dungeon loot for various types of dungeons.
##########################################################################################################

"dungeon loot enabled" {
    # These are the chests found in village blacksmiths homes.
    B:Blacksmiths=true

    # These are most dungeons from underground mob spawner dungeons to pyramids, mineshafts and jungle temples.
    B:Dungeons=true

    # Stronghold dungeons including corridors, libraries and other parts.
    B:Strongholds=true
}


dungeons {
    # The average distance in chunks that dungeons are spaced apart from each other.
    I:"Dungeon Distance"=45

    # If false, all Lycanites Mobs Dungeons are disabled, set to true to enable the Dungeon System. (The JSON files are still loaded but don't do anything.)
    B:"Dungeons Enabled"=true
}


effects {
    # Set to false to disable this potion effect.
    B:"aphagia enabled"=true

    # Set to false to disable this potion effect.
    B:"bleed enabled"=true

    # Set to false to disable this potion effect.
    B:"cleansed enabled"=true

    # Set to false to disable this potion effect.
    B:"decay enabled"=true

    # Set to false to disable this potion effect.
    B:"envenom enabled"=true

    # Set to false to disable this potion effect.
    B:"fallresist enabled"=true

    # Set to false to disable this potion effect.
    B:"fear enabled"=true

    # Set to false to disable this potion effect.
    B:"freezeaura enabled"=true

    # Set to false to disable this potion effect.
    B:"heataura enabled"=true

    # Set to false to disable this potion effect.
    B:"immunization enabled"=true

    # Set to false to disable this potion effect.
    B:"insomnia enabled"=true

    # Set to false to disable this potion effect.
    B:"instability enabled"=false

    # Set to false to disable this potion effect.
    B:"leech enabled"=true

    # Set to false to disable this potion effect.
    B:"lifeleak enabled"=true

    # Set to false to disable this potion effect.
    B:"paralysis enabled"=true

    # Set to false to disable this potion effect.
    B:"penetration enabled"=true

    # Set to false to disable this potion effect.
    B:"plague enabled"=true

    # Set to false to disable this potion effect.
    B:"rage enabled"=true

    # Set to false to disable this potion effect.
    B:"recklessness enabled"=true

    # Set to false to disable this potion effect.
    B:"rejuvenation enabled"=true

    # Set to false to disable this potion effect.
    B:"smited enabled"=true

    # Set to false to disable this potion effect.
    B:"smouldering enabled"=true

    # Set to false to disable this potion effect.
    B:"staticaura enabled"=true

    # Set to false to disable this potion effect.
    B:"swiftswimming enabled"=true

    # Set to false to disable this potion effect.
    B:"weight enabled"=true
}


##########################################################################################################
# extras
#--------------------------------------------------------------------------------------------------------#
# Other extra config settings, some of the aren't necessarily specific to Lycanites Mobs.
##########################################################################################################

extras {
    # Donation Familiars help support the development of this mod but can be turned of for individual players be adding their username to this list.
    S:"Familiar Username Blacklist" <
        Jbams
     >

    # Set to false to disable the version checker.
    B:"Version Checker"=false
}


features {
    I:"Abtu Swarm Limit"=5
    B:"Aegis Chest Protection"=false
    B:"Beholder Griefing"=true
    B:"Cacodemon Griefing"=true
    B:"Calpod Griefing"=true
    I:"Calpod Swarm Limit"=5
    I:"Concapede Size Limit"=10
    I:"Eechetik Mycelium Radius"=2
    B:"Enable Doomfire"=true
    B:"Enable Frostclouds"=true
    B:"Enable Frostfire"=true
    B:"Enable Frostwebs"=true
    B:"Enable Hellfire"=true
    B:"Enable Icefire"=true
    B:"Enable Poison Clouds"=true
    B:"Enable Poop Clouds"=true
    B:"Enable Quickweb"=true
    B:"Enable Scorchfire"=true
    B:"Enable Shadowfire"=true
    B:"Epion Griefing"=true
    B:"Ettin Griefing"=true
    B:"Geist Shadowfire Death"=true
    I:"Gorgomite Swarm Limit"=5
    B:"Khalk Lava Death"=true
    B:"Kobold Thievery"=true
    B:"Kobold Torch Griefing"=true
    I:"Nymph Healing Rate"=20
    I:"Rare Geonach Block Break Radius"=0
    B:"Rare Lobber Melting"=true
    I:"Rare Vapula Block Break Radius"=0
    B:"Remove Doomfire on No Fire Tick"=false
    B:"Remove Frostfire on No Fire Tick"=false
    B:"Remove Hellfire On No Fire Tick"=false
    B:"Remove Scorchfire on No Fire Tick"=false
    B:"Remove Shadowfire on No Fire Tick"=false
    I:"Roa Whirlpool Range"=6
    B:"Roc Creeper Dropping"=true
    B:"Shadowfire Blindness"=true
    I:"Spriggan Minion Crop Boosting"=20
    I:"Thresher Whirlpool Range"=8
    I:"Tremor Explosion Strength"=1
    B:"Troll Griefing"=true
    B:"Vespid Hive Building"=true
    I:"Vespid Queen Swarm Limit"=10
    I:"Volcan Block Melting Radius"=2
    S:"Yale Shear Drop"=minecraft:wool,0,1,3,1.0
}


##########################################################################################################
# fire
#--------------------------------------------------------------------------------------------------------#
# Special settings for fire blocks, etc.
##########################################################################################################

fire {
    # If set to false, when the doFireTick gamerule is set to false, instead of removing all custom fire such as Hellfire, the fire simply stops spreading instead, this is useful for decorative fire on adventure maps and servers.
    B:"Remove On No Fire Tick"=true
}


##########################################################################################################
# food effect durations
#--------------------------------------------------------------------------------------------------------#
# Here you can set the durations in seconds for each of the food effects.
##########################################################################################################

"food effect durations" {
    # The positive effects from cooked foods such as Cooked Joust Meat.
    I:"Cooked Buffs"=20

    # The positive effects from the harder to craft feast class foods such as Battle Burrito.
    I:"Feast Buffs"=600

    # The positive effects from crafted meal class foods such as Moss Pie.
    I:"Meal Buffs"=60

    # The negative effects from raw foods such as Raw Maka Meat.
    I:"Raw Debuffs"=10
}


"food healing" {
    # The instant healing received from cooked foods such as Cooked Joust Meat.
    I:"Cooked Healing"=2

    # The instant healing received from the harder to craft feast class foods such as Battle Burrito.
    I:"Feast Healing"=8

    # The instant healing received from crafted meal class foods such as Moss Pie.
    I:"Meal Healing"=4
}


gui {
    B:"Show Inventory Tabs"=true
}


##########################################################################################################
# mob interaction
#--------------------------------------------------------------------------------------------------------#
# Here you can control how mobs interact with other mobs.
##########################################################################################################

"mob interaction" {
    # If true, passive mobs will fight back when hit instead of running away.
    B:"Animals Fight Back"=false

    # If true, when a mob picks up a player, the player will be positioned where the mob is rather than offset to where the mob is holding the player at.
    B:"Disable Pickup Offset"=false

    # The level of a mob created via fusion is multiplied by this value, set to 1 for no changes. Tamed fusions aren't multiplied by this value.
    B:"Elemental Fusion"=10.0

    # If true, all mobs will be immune to damage from running out of air (drown damage).
    B:"Global Drown Immunity"=false

    # If true, all mobs will be immune to suffocation (inWall) damage.
    B:"Global Suffocation Immunity"=false

    # Set to false to prevent mobs that attack players from also attacking villagers.
    B:"Mobs Attack Villagers"=true

    # Set to false to prevent predator mobs from attacking animals/farmable mobs.
    B:"Predators Attack Animals"=true
}


##########################################################################################################
# mob level multipliers
#--------------------------------------------------------------------------------------------------------#
# Normally mobs are level 1, but Spawners can increase their level. Here you can adjust the percentage of each stat that is added per extra level. So by default at level 2 a mobs health is increased by 10%, at level 3 20% and so on.
##########################################################################################################

"mob level multipliers" {
    D:amplifier=0.01
    D:armor=0.0
    D:attackSpeed=0.01
    D:damage=0.02
    D:defense=0.01
    D:effect=0.02
    D:health=0.1
    D:pierce=0.02
    D:rangedSpeed=0.01
    D:sight=0.0
    D:speed=0.01
}


##########################################################################################################
# mob variations
#--------------------------------------------------------------------------------------------------------#
# Settings for how mobs randomly vary such as subspecies. Subspecies are uncommon and rare variants of regular mobs, uncommon subspecies tend to be a bit tougher and rare subspecies are quite powerful and can be considered as mini bosses..
##########################################################################################################

"mob variations" {
    # The maximum size scale mobs can randomly spawn at.
    D:"Random Size Max"=1.15

    # The minimum size scale mobs can randomly spawn at.
    D:"Random Size Min"=0.85

    # Set to false to prevent mobs from having a random size variation when spawning, this will not affect mobs that have already spawned.
    B:"Random Sizes"=true

    # The weight of base subspecies (regular mobs).
    I:"Subspecies Base Weight"=400

    # Set to false to prevent subspecies from spawning, this will not affect mobs that have already spawned as subspecies.
    B:"Subspecies Can Spawn"=true

    # If set to true, rare subspecies such as the Lunar Grue will despawn naturally over time.
    B:"Subspecies Rare Despawning"=true

    # When a creature with the rare subspecies (Celestial, Lunar, etc) dies, its experience amount is multiplied by this value.
    D:"Subspecies Rare Experience Scale"=10.0

    # If set to true, rare subspecies such as the Lunar Grue or Celestial Geonach will display boss health bars.
    B:"Subspecies Rare Health Bars"=true

    # When a creature with the rare subspecies (Celestial, Lunar, etc) dies, its item drops amount is multiplied by this value.
    I:"Subspecies Rare Item Drops Scale"=5

    # The minimum amount of days before rare species start to spawn.
    I:"Subspecies Rare Spawn Day Min"=0

    # The weight of rare subspecies (such as Lunar or Celestial).
    I:"Subspecies Rare Weight"=2

    # When a creature with the uncommon subspecies (Azure, Verdant, etc) dies, its experience amount is multiplied by this value.
    D:"Subspecies Uncommon Experience Scale"=2.0

    # When a creature with the uncommon subspecies (Azure, Verdant, etc) dies, its item drops amount is multiplied by this value.
    I:"Subspecies Uncommon Item Drops Scale"=2

    # The minimum amount of days before uncommon species start to spawn.
    I:"Subspecies Uncommon Spawn Day Min"=0

    # The weight of uncommon subspecies (such as Azure, Verdant, Scarlet, etc).
    I:"Subspecies Uncommon Weight"=20
}


##########################################################################################################
# pets
#--------------------------------------------------------------------------------------------------------#
# Here you can control all settings related to taming and mounting.
##########################################################################################################

pets {
    # Set to false to disable flying mounts, if all mounts are disable this option doesn't matter.
    B:"Flying Mounting"=true

    # If true, pets, minions, etc can't harm their owners (with ranged attacks, etc).
    B:"Friendly Fire"=true

    # Set to false to disable mounts.
    B:Mounting=true

    # If true, tamed mobs will display their owner's name in their name tag.
    B:"Owner Tags"=true

    # Set to false to disable pet/mount taming.
    B:Taming=true
}


##########################################################################################################
# player
#--------------------------------------------------------------------------------------------------------#
# Settings for player related stats and features.
##########################################################################################################

player {
    # How much spirit a player regains per second. Default is 10, was 1 in earlier versions.
    I:"Spirit Recharge"=1

    # How much summoning focus a player regains per second. Default is 10, was 1 in earlier versions.
    I:"Summoning Focus Recharge"=4
}


##########################################################################################################
# potion effects
#--------------------------------------------------------------------------------------------------------#
# Here you can override each potion effect ID from the automatic ID, use 0 if you want it to stay automatic. Overrides should only be needed if you are running a lot of mods that add custom effects.
##########################################################################################################

"potion effects" {
    # Set to true to disable the vanilla nausea debuff on players.
    B:"Disable Nausea Debuff"=false

    # Set to false to disable the custom potion effects.
    B:"Enable Custom Effects"=true
}


"seasonal item drop chance" {
    # The chance of seasonal items dropping such as Winter Gifts. Can be 0-1, 0.25 would be 25%. Set to 0 to disable these drops all together.
    D:Seasonal=0.10000000149011612
}


##########################################################################################################
# subspecies multipliers
#--------------------------------------------------------------------------------------------------------#
# Here you can scale the stats of every mob on a per subspecies basis.
##########################################################################################################

"subspecies multipliers" {
    D:"rare amplifier"=1.0
    D:"rare armor"=1.0
    D:"rare attackSpeed"=2.0
    D:"rare damage"=1.0
    D:"rare defense"=1.0
    D:"rare effect"=2.0
    D:"rare health"=20.0
    D:"rare pierce"=1.0
    D:"rare rangedSpeed"=2.0
    D:"rare sight"=1.0
    D:"rare speed"=1.0
    D:"uncommon amplifier"=1.0
    D:"uncommon armor"=1.0
    D:"uncommon attackSpeed"=1.0
    D:"uncommon damage"=1.0
    D:"uncommon defense"=1.0
    D:"uncommon effect"=1.0
    D:"uncommon health"=2.0
    D:"uncommon pierce"=1.0
    D:"uncommon rangedSpeed"=1.0
    D:"uncommon sight"=1.0
    D:"uncommon speed"=1.0
}


